import React from 'react'
import DonutChart from './index'

export default {
  title: 'Design System/Donut Chart',
  component: DonutChart,
  parameters: {
    argTypes: {
      data: {
        control: 'object'
      },
      centerText: {
        control: 'object'
      }
    }
  }
}

const Template = (args) => <div style={{width: '400px', height: '500px'}}><DonutChart {...args} /></div>

export const regular = Template.bind({})

regular.args = {
  id: 'a234',
  data: [{
    label: 'Non-Tiered',
    color: '#2359A3',
    value: 100
  },
    {
      label: 'Tiered',
      color: '#00C4FF',
      value: 200
    },
    {
      label: 'Not Eligible for Tiering',
      color: '#EB6D12',
      value: 300
    }],
  centerText: <div className={'cluster-center-text'}>
    <div style={{
      fontSize: '28px',
      lineHeight: 1
    }}
         className={'number'}>600
    </div>
    <div style={{
      fontSize: '14px',
      fontWeight: 'bold'
    }}>Clusters
    </div>
  </div>
}

export const withUnits = Template.bind({})

withUnits.args = {
  id: 'b234',
  data: [{
    label: 'Tiered Data',
    color: '#2359A3',
    value: 500,
    valueLabel: '235',
    unit: 'TB'

  },
    {
      label: 'Hot Data',
      color: '#AF149F',
      value: 500,
      valueLabel: '235',
      unit: 'TB'
    },
    {
      label: 'Cold Data',
      color: '#4ED3BA',
      value: 500,
      valueLabel: '235',
      unit: 'TB'
    }],
  centerText: <div className={'cluster-center-text'}>
    <div style={{
      fontSize: '28px',
      lineHeight: 1
    }}
         className={'number'}>{`${705} TB`}</div>
    <div style={{
      fontSize: '14px',
      fontWeight: 'bold'
    }}>Total used data
    </div>
  </div>
}
