import React from 'react'
import TextInput from './index'

export default {
  title: 'Design System/Text Input',
  component: TextInput
}

const Template = (args) => <TextInput {...args} />

export const Regular = Template.bind({})
Regular.args = {
  label: 'Label',
  placeholder: 'placeholder'
}

export const error = Template.bind({})
error.args = {
  label: 'Label',
  error: 'This is an error',
  value: 'wrong'
}

export const warning = Template.bind({})
warning.args = {
  warning: 'This is a warning',
  value: 'warning'
}

export const disabled = Template.bind({})
disabled.args = {
  label: 'Disabled label',
  placeHolder: 'disabled',
  disabled: true
}

export const info = Template.bind({})
info.args = {
  label: 'Info',
  placeHolder: 'disabled',
  info: "I'm important information"
}

export const optional = Template.bind({})
optional.args = {
  label: 'Info',
  placeHolder: 'disabled',
  optional: true
}
