import React from "react";
import "./wizardHeader.scss";
import WizardSteps from "./WizardSteps";
import useWizard from "./useWizard";
import ButtonBase from "../ButtonBase";
import CloseIcon from '../../assets/svgs/close-thick.svg'

const WizardHeader = ({title, className='', onExit, logo}) => {
  const {currentStepIndex, stepPaths, setStep, currentStepPath} = useWizard();
  return <header className={`Suc-wizard-header ${className}`}>
    <div className="Suc-left">
      <div className="Suc-logo">{logo}</div>
      <div className="Suc-title">{title}</div>
    </div>
    <WizardSteps steps={stepPaths[currentStepPath]} currentStepIndex={currentStepIndex} setStep={setStep}/>
    <div className="Suc-right">
      <ButtonBase className={'Suc-close-icon'} onClick={onExit}><CloseIcon/></ButtonBase>
    </div>
  </header>
}

export default WizardHeader;
