import React from 'react';
import "./wizardSteps.scss";
import SuccessIcon from '../../assets/svgs/check.svg';
import ButtonBase from "../ButtonBase";


const Step = ({ index, label, isActive, onTabSelected, done }) => {
  return (
    <ButtonBase onClick={() => onTabSelected(index)} className={`Suc-step ${isActive ? 'Suc-active' : ''}`}
                disabled={!done}>
      {done ? <SuccessIcon className={"Suc-done-icon"}/> : <div className={"Suc-index"}>{index}</div>}
      <div className={"Suc-label"}>{label}</div>
    </ButtonBase>
  );
}

const WizardSteps = ({steps, currentStepIndex, setStep, className=''}) => {
    return <div className={`Suc-wizard-steps ${className}`}>
        {steps?.map(({label, key}, index) => {
            const isDone = index < currentStepIndex;
            return <Step
                key={key}
                done={isDone}
                onTabSelected={() => setStep(key)}
                isActive={index === currentStepIndex}
                label={label}
                index={index + 1}
            />
        })}
    </div>
}

export default WizardSteps;
